PBXMetrics
Get your Cloud PBX metrics
Fetch metrics for your Cloud PBX by its subscription id. Metrics contain data that is gathered at the time of query.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
This endpoint allows you to get information about extension, active calls, trunks etc. for your Cloud PBX system.
If your Cloud PBX has not been configured yet, you will receive a status code 425 Too Early (refer to responses).
Path Parameters
id*integer
PBX subscription id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/metrics" \ -H "Authorization: string"{
"code": 0,
"data": {
"calls": [
{
"call_id": "string",
"destination": {
"number": "string",
"status": "string"
},
"source": {
"number": "string",
"status": "string"
}
}
],
"capacity": {
"cc_capacity": 0,
"cc_used": 0,
"extension_capacity": 0,
"extension_used": 0
},
"extentions": [
{
"is_online": true,
"name": "string",
"number": "string"
}
],
"trunk_info": {
"available_count": 0,
"total_count": 0
}
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}